# -*- encoding: binary -*-
ENV["VERSION"] or abort "VERSION= must be specified"
manifest = File.readlines('.manifest').map! { |x| x.chomp! }
require 'olddoc'
extend Olddoc::Gemspec
name, summary, title = readme_metadata

Gem::Specification.new do |s|
  s.name = %q{io_splice}
  s.version = ENV["VERSION"].dup
  s.authors = ["Ruby io_splice hackers"]
  s.description = readme_description
  s.email = %q{ruby-io-splice@bogomips.org}
  s.extensions = %w(ext/io_splice/extconf.rb)
  s.extra_rdoc_files = extra_rdoc_files(manifest)
  s.files = manifest
  s.homepage = Olddoc.config['rdoc_url']
  s.summary = summary
  s.test_files = Dir['test/test_*.rb']
  s.add_development_dependency('olddoc', '~> 1.0')

  s.licenses = %w(LGPL) # accessor not compatible with older RubyGems
end
